﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using EPiServer.Core;

namespace EPiServer.Samples.XFormSearch.Models
{
    public static class LanguageHelper
    {
        public static string Translate(string key)
        {
            string val = LanguageManager.Instance.TranslateRaw(key);

            if (string.IsNullOrEmpty(val))
            {
                val = LanguageManager.Instance.Translate(key, "en");
            }

            return val;
        }
    }
}
