﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ViewModel>" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Samples.XFormSearch.Models" %>
<%@ Import Namespace="EPiServer.Core" %>

<script type="text/javascript" src="<%= Url.Action("GetLocalizedStrings")%>"></script>

<div>
    <input id="gadgetId" type="hidden" value="<%=Html.GetGadgetId()%>" />
    <% Html.BeginGadgetForm("ShowSearchForm"); %>
    <div class="epi-paddingHorizontal epi-formArea">
        <fieldset>
            <legend>
                <%=LanguageHelper.Translate("/xformsearchgadget/availableforms/title")%></legend>
            <div class="epi-size10">
                <%=Html.LabeledDropDownList("formId", LanguageHelper.Translate("/xformsearchgadget/availableforms/instructions"), Model.AvailableForms)%>
            </div>
        </fieldset>
    </div>
    <% Html.EndForm(); %>
    <% Html.BeginGadgetForm("SearchFormData"); %>
    <div class="epi-paddingHorizontal epi-formArea">
        <div id="SearchFormTable">
            <% Html.RenderPartial("SearchForm", Model); %></div>
        <fieldset>
            <%=Html.ShellButton("SearchButton", LanguageHelper.Translate("/xformsearchgadget/output/searchcommand"), null)%>
        </fieldset>
        <div id="SearchResultsTable">
            <% Html.RenderPartial("SearchResults", Model); %>
        </div>
    </div>
    <% Html.EndForm(); %>
</div>
