<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Settings>" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Samples.XFormSearch.Models" %>
<div class="epi-contentArea">
    <% Html.BeginGadgetForm("SaveConfiguration"); %>
    <div class="epi-padding-small epi-formArea">
        <fieldset>
            <legend><%=LanguageHelper.Translate("/xformsearchgadget/configuration/title")%></legend>
            <input id="GadgetId" type="hidden" value="<%=Html.GetGadgetId()%>" />
            <div class="epi-size15">
            <%=Html.LabeledTextBox("ResultsPerPage", LanguageHelper.Translate("/xformsearchgadget/configuration/resultsperpage"), Model.ResultsPerPage)%></div>
            <div class="epi-size15">
            <%=Html.LabeledTextBox("CsvDelimiter", LanguageHelper.Translate("/xformsearchgadget/configuration/csvdelimiter"), Model.CsvDelimiter)%></div>
            <div class="epi-size15">
            <%=Html.AcceptButton() %>
            <%=Html.CancelButton() %></div>
        </fieldset>
    </div>
    <% Html.EndForm(); %>
</div>
